import { NgModule } from '@angular/core';
import { PreloadAllModules, RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  {
    path: '',
    loadChildren: () => import('./tabs/tabs.module').then(m => m.TabsPageModule)
  },
  {
    path: 'user',
    loadChildren: () => import('../modules/user/user.module').then(m => m.UserModule)
  },
  {
    path: 'home',
    loadChildren: () => import('./home/home.module').then( m => m.HomePageModule)
  },
  {
    path: 'login',
    loadChildren: () => import('../modules/user/login/login.module').then(m => m.LoginPageModule)
  },
  {
    path: 'edit-info',
    loadChildren: () => import('../modules/user/edit-info/edit-info-routing.module').then(m => m.EditInfoPageRoutingModule)
  },
  {
    path: 'post-detail/:id',
    loadChildren: () => import('../modules/post-detail/post-detail.module').then( m => m.PostDetailPageModule)
  },
  {
    path: 'post-create',
    loadChildren: () => import('../modules/post-create/post-create.module').then(m => m.PostCreatePageModule)
  }
];
@NgModule({
  imports: [
    RouterModule.forRoot(routes, { preloadingStrategy: PreloadAllModules })
  ],
  exports: [RouterModule]
})
export class AppRoutingModule {}
