import { Injectable } from '@angular/core';
import Parse from 'parse';

@Injectable({
  providedIn: 'root',
})
export class PostService {
  async getPost(postId: string): Promise<any> {
    const query = new Parse.Query('Posts');
    query.equalTo('objectId', postId);
    const post = await query.first();
    return post ? post.toJSON() : null;
  }

  async getComments(postId: string): Promise<any[]> {
    const query = new Parse.Query('Comment');
    query.equalTo('post', new Parse.Object('Posts', { id: postId }));
    const comments = await query.find();
    return comments.map(comment => comment.toJSON());
  }
}
