import { Component, OnInit } from '@angular/core';
import { TestChatCompletion, TestChatMessage } from '../../modules/aigc/chat/class-chat-completion';

@Component({
  selector: 'app-tab1',
  templateUrl: './tab1.page.html',
  styleUrls: ['./tab1.page.scss'],
})
export class Tab1Page implements OnInit {
  messageList: Array<TestChatMessage> = [];
  userInput: string = '';
  suggestions: string[] = ['巴西的首都是那个城市？', ' 设计一款有趣的编程游戏', '写一首赞美人与自然的诗歌']; // 示例建议词

  completion: TestChatCompletion;
  constructor() { 
    this.completion = new TestChatCompletion(this.messageList);
  }

  ngOnInit() {}

  async sendMessage() {
    if (this.userInput.trim() === '') return;
    this.messageList.push({
      role: 'user',
      content: this.userInput
    });
    const userMessage = this.userInput;
    this.userInput = '';
    await this.completion.createCompletionByStream();
    this.addAIResponse();
  }

  addAIResponse() {
    let aiResponse = '这是AI的回复'; // 示例AI回复
    let aiMessage: TestChatMessage = {
      role: 'ai',
      content: ''
    };
    this.messageList.push(aiMessage);

    // 逐字显示AI的回复
    let currentIndex = 0;
    let interval = setInterval(() => {
      if (currentIndex < aiResponse.length) {
        aiMessage.content += aiResponse[currentIndex];
        currentIndex++;
      } else {
        clearInterval(interval);
      }
    }, 100); // 调整这个值可以控制字出现的速度
  }

  useSuggestion(suggestion: string) {
    this.userInput = suggestion;
  }
}
