import { Component } from '@angular/core';  
import * as Parse from 'parse';

  
@Component({  
  selector: 'app-tab2',  
  templateUrl: './tab2.page.html',  
  styleUrls: ['./tab2.page.scss'],  
})  
export class Tab2Page {  
  selectedSegment: string = 'invitations';  
  async generateTestData() {
    const currentUser = Parse.User.current();
    if (!currentUser) {
      console.error('No user logged in. Please log in to create test data.');
      return;
    }
  
    const fixedImageUrl = 'assets/images/kobe.jpg';
    const randomNews = [
      "是什么让“牢大”科比，成了中文互联网最热门的流量密码?\n本文首发于微信公众号“BB姬”（bibiji300）真新镇小茂｜文 2015年，网络游戏主播李赣组织孙笑川等人，成...",
      "汪汪：姜萍事件很快就会有结果，做点分析预测\n阿里达摩院在6.21发布了决赛通知，确认姜萍参赛。今天是6.24，姜萍考试结束，我觉得我可以写点东西了。前..."
    ];
  
    for (let i = 0; i < 3; i++) {
      const Post240709 = Parse.Object.extend('Post240709');
      const post = new Post240709();
  
      post.set('author', {username:currentUser.getUsername(),avatarUrl:'https://pics0.baidu.com/feed/2cf5e0fe9925bc31187a4ea7cc89c7bfcb13704a.jpeg'});
      post.set('content', randomNews[Math.floor(Math.random() * randomNews.length)]);
      post.set('image', fixedImageUrl);
      post.set('title', `测试帖子${i + 1}`);
      post.set('likes', Math.floor(Math.random() * 1000)); // 随机生成 0-999 的赞同数
  
      try {
        await post.save();
        console.log(`Test post ${i + 1} created successfully.`);
      } catch (error) {
        console.error('Error while creating test post:', error);
      }
    }
  }
  invitationMessages = [  
    { inviter: { username: 'Alice' }, question: 'How to use Ionic v7?', time: new Date(new Date().getTime() - 3600000) },  
    { inviter: { username: '阿巴阿巴' }, question: '怎么说话？', time: new Date(new Date().getTime() - 7200000) },
    { inviter: { username: 'JohnDoe' }, question: 'What is the best way to learn React?', time: new Date(new Date().getTime() - 14400000) },  
    { inviter: { username: 'JaneSmith' }, question: 'Can you explain CSS Grid?', time: new Date(new Date().getTime() - 18000000) },  
    { inviter: { username: 'Coder123' }, question: 'How to optimize JavaScript performance?', time: new Date(new Date().getTime() - 21600000) },  
    { inviter: { username: 'TechGuru' }, question: 'What is Node.js used for?', time: new Date(new Date().getTime() - 25200000) },  
    { inviter: { username: 'WebDevMaster' }, question: 'Best practices for responsive design?', time: new Date(new Date().getTime() - 28800000) },  
    { inviter: { username: 'FrontendFanatic' }, question: 'What are Web Components?', time: new Date(new Date().getTime() - 32400000) },  
    { inviter: { username: 'JSNinja' }, question: 'How to handle asynchronous code in JavaScript?', time: new Date(new Date().getTime() - 36000000) },  
    { inviter: { username: 'DesignLover' }, question: 'What are the latest UI/UX trends?', time: new Date(new Date().getTime() - 39600000) }

  
    // 更多邀请消息...  
  ];  
  
  systemMessages = [  
    { source: '系统', content: '您的新回答已被采纳！', time: new Date(new Date().getTime() - 3600000) },  
    { source: '徽章小助手', content: '您获得了新的徽章！', time: new Date(new Date().getTime() - 3000000) },
    { source: '系统', content: '您的新回答已被采纳！', time: new Date(new Date().getTime() - 3600000) }, 
    { source: '系统', content: '您的新回答已被采纳！', time: new Date(new Date().getTime() - 3600000) }, 
    { source: '系统', content: '您的新回答已被采纳！', time: new Date(new Date().getTime() - 3600000) }, 
    { source: '徽章小助手', content: '您获得了新的徽章！', time: new Date(new Date().getTime() - 3000000) },
    { source: '徽章小助手', content: '您获得了新的徽章！', time: new Date(new Date().getTime() - 3000000) },
    // 更多系统消息...  
  ];  
  
  privateMessages = [  
    { user: { username: 'Bob' }, content: 'Hello, how are you?', time: new Date(new Date().getTime() - 3600000) },
    { user: { username: 'Alice' }, content: 'Can you help me with my project?', time: new Date(new Date().getTime() - 7200000) },
    { user: { username: 'Charlie' }, content: 'What is the best way to learn JavaScript?', time: new Date(new Date().getTime() - 10800000) },
    { user: { username: 'Dave' }, content: 'Any tips for improving CSS skills?', time: new Date(new Date().getTime() - 14400000) },
    { user: { username: 'Eve' }, content: 'How do I deploy a React app?', time: new Date(new Date().getTime() - 18000000) },
    { user: { username: 'Frank' }, content: 'What are the latest trends in web development?', time: new Date(new Date().getTime() - 21600000) },
    { user: { username: 'Grace' }, content: 'Can you explain the virtual DOM?', time: new Date(new Date().getTime() - 25200000) },
    { user: { username: 'Hank' }, content: 'How to manage state in a React application?', time: new Date(new Date().getTime() - 28800000) },
    { user: { username: 'Ivy' }, content: 'What is the difference between var, let, and const?', time: new Date(new Date().getTime() - 32400000) },
    { user: { username: 'Jack' }, content: 'How do I set up a Node.js server?', time: new Date(new Date().getTime() - 36000000) }
  
    // 更多私信...  
  ];  
  
  segmentChanged(event: CustomEvent) {  
    this.selectedSegment = event.detail.value;  
    this.generateTestData();
  }
}  
