import { Component, OnInit } from '@angular/core';
import { NavController } from '@ionic/angular';
import * as Parse from 'parse';

@Component({
  selector: 'app-tab3',
  templateUrl: './tab3.page.html',
  styleUrls: ['./tab3.page.scss'],
})
export class Tab3Page implements OnInit {
  userInfo: any = {};

  constructor(private navCtrl: NavController) {}

  ngOnInit() {
    this.loadUserInfo();
  }

  async loadUserInfo() {
    const currentUser = Parse.User.current();
    if (currentUser) {
      const query = new Parse.Query('_User');
      try {
        const user = await query.get(currentUser.id);
        this.userInfo = {
          username: user.get('username'),
          nickname: user.get('nickname') || '点击查看个人主页',
          avatarUrl: user.get('avatarUrl') || '/assets/images/avatar.png',
          followers: user.get('followers') || 0,
          following: user.get('following') || 0,
          favorites: user.get('favorites') || 0,
          recentViews: user.get('recentViews') || 0
        };
      } catch (error) {
        console.error('Error while fetching user data', error);
      }
    } else {
      this.navigateToLogin();
    }
  }

  navigateToEditInfo() {
    this.navCtrl.navigateForward('/edit-info');
  }

  navigateToLogin() {
    this.navCtrl.navigateForward('/login');
  }

  goToBookshelf() {
    this.navCtrl.navigateForward('/bookshelf');
  }

  goToWallet() {
    this.navCtrl.navigateForward('/wallet');
  }

  goToActivitySquare() {
    this.navCtrl.navigateForward('/activity-square');
  }

  goToHelpAndSupport() {
    this.navCtrl.navigateForward('/help-and-support');
  }
}
