import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-post-detail',
  templateUrl: './post-detail.page.html',
  styleUrls: ['./post-detail.page.scss'],
})
export class PostDetailPage implements OnInit {
  post: any;
  comments: any[]= [];

  constructor(private route: ActivatedRoute) {}

  ngOnInit() {
    const postId = this.route.snapshot.paramMap.get('id');
    // 模拟获取数据，根据实际情况从服务器或本地获取数据
    this.post = {
      id: postId,
      author: '发帖人',
      authorAvatar: '发帖人头像URL',
      time: '发帖时间',
      title: `标题${postId}`,
      content: `内容${postId}`,
      image: `图片URL${postId}`
    };

    this.comments = [
      { id: 1, author: '用户1', avatar: '用户1头像URL', content: '评论内容1', time: '评论时间1', likes: 10 },
      { id: 2, author: '用户2', avatar: '用户2头像URL', content: '评论内容2', time: '评论时间2', likes: 5 },
      // 添加更多评论数据
    ];
  }

  sortComments(event: any) {
    const value = event.detail.value;
    if (value === 'popular') {
      this.comments.sort((a, b) => b.likes - a.likes); // 按点赞数排序
    } else if (value === 'asc') {
      this.comments.sort((a, b) => new Date(a.time).getTime() - new Date(b.time).getTime()); // 时间正序
    } else if (value === 'desc') {
      this.comments.sort((a, b) => new Date(b.time).getTime() - new Date(a.time).getTime()); // 时间倒序
    }
  }
}
